xdg-desktop-portal-gnome (48.0-2) unstable; urgency=medium

  * Prefer papers-previewer to evince-previewer

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 20 Mar 2025 12:04:37 -0400

xdg-desktop-portal-gnome (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 10:10:01 -0400

xdg-desktop-portal-gnome (48~rc-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Remove X11 initialization patch: applied in new release
  * Bump Breaks to not migrate to Testing without gnome-shell 48
  * Release to unstable

  [ Alessandro Astone ]
  * Add patch to support using Papers instead of only Evince for print previews

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Mar 2025 10:20:00 -0500

xdg-desktop-portal-gnome (48~beta.2-1) experimental; urgency=medium

  * New upstream release
  * d/copyright: Update
  * Merge packaging from unstable
    - d/x-d-p-gnome.lintian-overrides:
      Remove obsolete Lintian override for #1031037
    - d/gbp.conf: No changes needed in the 48.x branch
    - d/patches: Drop, not needed in the 48.x branch
  * d/p/gxdp-Initialize-successfully-if-running-under-X11.patch:
    Add proposed patch to fix initialization under "GNOME on Xorg"

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Feb 2025 18:23:40 +0000

xdg-desktop-portal-gnome (48~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum xdg-desktop-portal

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 19:05:58 -0500

xdg-desktop-portal-gnome (47.2-2) unstable; urgency=medium

  * d/gbp.conf: Switch packaging and upstream branches for GNOME 47
  * d/p/notification-Fix-build-against-xdg-desktop-portal-1.19.1.patch,
    d/p/notification-Add-missing-GUnixFDList-argument.patch:
    Add proposed patches to fix build against x-d-p 1.19.x.
    The GNOME 48 branch of x-d-p-gnome already has the equivalent of
    this, but now that x-d-p 1.19.x is in unstable, we need this on the
    47.x branch as a stopgap until we are ready to upload GNOME Shell
    48 to unstable.
  * d/p/Initialize-GTK-before-opening-display-for-X11-too.patch:
    Add proposed patch to fix crashes with GTK 4.17.x in "GNOME on Xorg"
    session. Thanks to Sébastien Noel (Closes: #1096094)
  * d/x-d-p-gnome.lintian-overrides:
    Remove obsolete Lintian override for #1031037

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Feb 2025 16:46:17 +0000

xdg-desktop-portal-gnome (47.2-1) unstable; urgency=medium

  * New upstream release
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Jan 2025 08:46:04 -0500

xdg-desktop-portal-gnome (47.1-4) unstable; urgency=medium

  * Team upload
  * Add proposed patch to fix slow startup with GTK4 4.17
    (Closes: #1089760) (LP: #2091952)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 14 Jan 2025 04:10:44 -0500

xdg-desktop-portal-gnome (47.1-3) unstable; urgency=medium

  * Cherry-pick Fedora patch for compatibility with gtk 4.17

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Dec 2024 16:03:48 -0500

xdg-desktop-portal-gnome (47.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 19:27:28 -0400

xdg-desktop-portal-gnome (47.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 26 Sep 2024 10:40:16 +0200

xdg-desktop-portal-gnome (47~rc-1) experimental; urgency=medium

  * New upstream release
    - Fix restoring last used folder in the File Chooser portal
    - Fix selecting multiple window on single selection
    - Do not block xdg-desktop-portal-gnome when connecting to Nautilus
      (LP: #2077451)
    - Fix incorrectly set mimetype in the File Chooser portal
    - Translation updates

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 04 Sep 2024 16:58:01 +0200

xdg-desktop-portal-gnome (47~beta-2) experimental; urgency=medium

  * Cherry-pick 2 filepicker fixes
  * Add Depends: nautilus (>= 47~beta) since nautilus is now used
    as the portal filechooser

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Aug 2024 08:43:43 -0400

xdg-desktop-portal-gnome (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libadwaita and gsettings-desktop-schemas
  * Break GNOME Shell << 47~
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Aug 2024 17:29:31 -0400

xdg-desktop-portal-gnome (46.2-3) unstable; urgency=medium

  * Break older versions of gnome-shell

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 21:29:06 -0400

xdg-desktop-portal-gnome (46.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 18:32:45 -0400

xdg-desktop-portal-gnome (46.2-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 09:30:16 -0400

xdg-desktop-portal-gnome (46.1-1) experimental; urgency=medium

  * New upstream release (LP: #2064732)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 03 May 2024 10:29:43 -0400

xdg-desktop-portal-gnome (46.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libadwaita to 1.4
  * Enable auto features

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 10:13:08 -0400

xdg-desktop-portal-gnome (45.1-3) experimental; urgency=medium

  * Merge packaging changes from unstable
    - Build-depend on systemd-dev instead of systemd (Closes: #1060494)

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Jan 2024 18:06:40 +0000

xdg-desktop-portal-gnome (44.2-4) unstable; urgency=medium

  * d/control: Stop generating from d/control.in
  * Build-depend on systemd-dev instead of systemd (Closes: #1060494)

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Jan 2024 17:53:13 +0000

xdg-desktop-portal-gnome (45.1-2) experimental; urgency=medium

  [ Simon McVittie ]
  * Merge packaging changes from unstable
    - Require a version of GNOME Shell or Budgie based on libmutter-12

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Dec 2023 15:55:56 -0500

xdg-desktop-portal-gnome (45.1-1) experimental; urgency=medium

  * New upstream release
  * Drop LP: #1971168 patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Dec 2023 15:45:43 -0500

xdg-desktop-portal-gnome (45.0-2) experimental; urgency=medium

  * Stop using debian/control.in and dh_gnome_clean
  * Update remote file URIs patch with latest version accepted upstream

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Nov 2023 11:01:52 -0500

xdg-desktop-portal-gnome (44.2-3) unstable; urgency=medium

  * Require a version of GNOME Shell or Budgie based on libmutter-12.
    This version of x-d-p-gnome does not work with GNOME 43 in bookworm.
    (Closes: #1031842)
    - Increase Recommends to gnome-shell 44~ or budgie-desktop 10.7.2-0.1~
    - Add Breaks on older versions
  * d/control.in, d/gbp.conf: Use debian/trixie packaging branch.
    The debian/latest branch is now in use for GNOME 45.

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Oct 2023 10:55:23 +0100

xdg-desktop-portal-gnome (45.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 09:26:06 -0400

xdg-desktop-portal-gnome (45~rc-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Sep 2023 08:30:38 -0400

xdg-desktop-portal-gnome (44.2-2) unstable; urgency=medium

  * Bump minimum xdg-desktop-portal to 1.17.1 (LP: #2013116) (Closes: #1032584)
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Sep 2023 17:01:39 -0400

xdg-desktop-portal-gnome (44.2-1) experimental; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Aug 2023 15:44:36 -0400

xdg-desktop-portal-gnome (44.1-2) experimental; urgency=medium

  * Add patch to send remote file URIs as local FUSE URIs (LP: #1971168)

 -- Sergio Costas Rodriguez <sergio.costas@canonical.com>  Tue, 18 Jul 2023 10:35:30 -0400

xdg-desktop-portal-gnome (44.1-1) experimental; urgency=medium

  * New upstream release
    - Improve handling of non-existing files on the filechooser portal
    - Minor debugging improvements to the backgrounds portal
    - More precise initialization timing
      (https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome/-/issues/79)
    - Fix duplicate monitor and window streams (LP: #2012341)
      (https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome/-/issues/76)
    - Translation updates
  * Drop screencast-Duplicate-monitor-and-window-stream-info.patch,
    included in the 44.1 upstream release.

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 27 Apr 2023 09:43:25 -0400

xdg-desktop-portal-gnome (44.0-1) experimental; urgency=medium

  [ Matthias Geiger ]
  * New upstream release
    - Grant restore permission to transient mode by default
    - Translation updates

  [ Iain Lane ]
  * d/p/screencast-Duplicate-monitor-and-window-stream-info.patch:
    Cherry-pick.  Fix use-after-free crash when window list changes between
    being shown and the user making their selection. (LP: #2012341)

 -- Iain Lane <laney@debian.org>  Sun, 16 Apr 2023 20:33:39 +0100

xdg-desktop-portal-gnome (44~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Feb 2023 15:20:30 -0500

xdg-desktop-portal-gnome (43.1-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control.in: Drop unused dbus build-dependency

  [ Debian Janitor ]
  * Set upstream metadata fields: Contact.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Dec 2022 14:22:46 -0500

xdg-desktop-portal-gnome (43.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 18 Oct 2022 13:25:20 -0400

xdg-desktop-portal-gnome (43.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Sep 2022 17:32:35 -0400

xdg-desktop-portal-gnome (43~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/xdg-desktop-portal-gnome.install: Install gsettings schema

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 10:33:39 -0400

xdg-desktop-portal-gnome (43~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum xdg-desktop-portal to 1.15.0
  * debian/control.in: Build-Depend on systemd

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 15 Aug 2022 07:13:21 -0400

xdg-desktop-portal-gnome (42.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Jul 2022 17:30:22 +0100

xdg-desktop-portal-gnome (42.1-1) unstable; urgency=medium

  * New upstream release (LP: #1970609)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 27 Apr 2022 15:42:05 -0400

xdg-desktop-portal-gnome (42.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 14:34:07 -0400

xdg-desktop-portal-gnome (42~rc-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on libadwaita-1-dev
  * Build-Depend on libgnome-desktop-4-dev & libgnome-bg-4-dev
  * debian/patches: Drop all patches: applied in new release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 11:57:18 -0500

xdg-desktop-portal-gnome (41.1-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/control:
    - use the correct case for Multi-Arch to silent a lintian warning
  * Create a control.in and use dh-sequence-gnome.
    This is standard for our GNOME packages and also will mean the
    translations will be handled correctly in Ubuntu.

  [ Simon McVittie ]
  * d/patches: Update translations from upstream gnome-41 branch

 -- Simon McVittie <smcv@debian.org>  Fri, 11 Feb 2022 10:54:57 +0000

xdg-desktop-portal-gnome (41.1-1) unstable; urgency=medium

  * New upstream release
    - Force use of cairo GSK renderer to avoid a crash
    - Translation updates
  * Add missing runtime dependency on gsettings-desktop-schemas
  * Drop unnecessary build-dependency on libgnome-desktop-3-dev.
    The code formerly used from gnome-desktop3 has been copied into this
    project.
  * Add Recommends on gnome-shell | budgie-desktop.
    Many of the portal implementations in this package need a mutter-based
    window manager.
  * Add Recommends on gnome-settings-daemon.
    The settings portal uses this if available.

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Nov 2021 20:45:27 +0000

xdg-desktop-portal-gnome (41.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #994773)

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Sep 2021 18:35:44 +0100
